Subject: Re: bug#47800: [native-comp] could not resolve realpath of "emacs"

From: Phil Sainty <[email-masked]>
Date: Fri, 16 Apr 2021 23:32:42 +1200

On 16/04/21 10:56 pm, Phil Sainty wrote:
> In https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44128#49 I'm
> seeing load_pdump_find_executable successfully figuring out the
> genuine path to the executable every time.

Clarification: It's only figuring it out on account of Eli's patch:
https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-04/msg00678.html

So as Eli said subsequently: "It moves one step closer, AFAICT: the
real file name of the Emacs executable is now correctly identified."
-- https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-04/msg00715.html

So IIUC, firstly we want that patch, and *then* that result can be
used by set_invocation_vars ?